[arch-commits] Commit in openswan/trunk (PKGBUILD compile.patch)

Tobias Powalowski tpowa at archlinux.org
Mon May 11 06:53:44 UTC 2009


    Date: Monday, May 11, 2009 @ 02:53:44
  Author: tpowa
Revision: 39007

upgpkg: openswan 2.4.14-1

Added:
  openswan/trunk/compile.patch
Modified:
  openswan/trunk/PKGBUILD

---------------+
 PKGBUILD      |   26 ++++++++++++++------------
 compile.patch |   40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-11 06:43:40 UTC (rev 39006)
+++ PKGBUILD	2009-05-11 06:53:44 UTC (rev 39007)
@@ -2,7 +2,7 @@
 # Maintainer: Tom Killian <tom at arclinux.org>
 
 pkgname=openswan
-pkgver=2.4.11
+pkgver=2.4.14
 pkgrel=1
 pkgdesc="Open Source implementation of IPsec for the Linux operating system"
 url="http://www.openswan.org"
@@ -11,32 +11,34 @@
 depends=('iproute' 'gmp' 'perl')
 backup=(etc/ipsec.conf etc/ipsec.d/examples/no_oe.conf \
         etc/ipsec.d/policies/{block,clear,clear-or-private,private,private-or-clear})
-source=(http://www.openswan.org/download/openswan-$pkgver.tar.gz \
-	openswan.rc.d)
+source=(http://www.openswan.org/download/openswan-$pkgver.tar.gz
+	openswan.rc.d
+	compile.patch)
 
 build() {
   # Create /etc/rc.d for init script, and license directory
-  mkdir -p $startdir/pkg/{etc/rc.d,usr/share/licenses/openswan}
+  mkdir -p $pkgdir/{etc/rc.d,usr/share/licenses/openswan}
 
-  cd $startdir/src/openswan-$pkgver
+  cd $srcdir/openswan-$pkgver
+  patch -Np1 -i ../compile.patch || return 1
 
   # Change install paths to Arch defaults
   sed -i 's|/usr/local|/usr|;s|libexec/ipsec|lib/openswan|' Makefile.inc
 
   make programs || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install
 
   # Remove SysV rc*.d directories
-  rm -r $startdir/pkg/etc/rc[0-6].d
+  rm -r $pkgdir/etc/rc[0-6].d
 
   # Change permissions in /var
-  chmod 755 $startdir/pkg/var/run/pluto
+  chmod 755 $pkgdir/var/run/pluto
   
   # Copy License
-  cp LICENSE $startdir/pkg/usr/share/licenses/openswan
+  cp LICENSE $pkgdir/usr/share/licenses/openswan
   
   # Install init script
-  install -Dm755 ../openswan.rc.d $startdir/pkg/etc/rc.d/openswan
+  install -Dm755 ../openswan.rc.d $pkgdir/etc/rc.d/openswan
+  # fix manpages
+  mv $pkgdir/usr/man $pkgdir/usr/share/
 }
-md5sums=('6cac660e0beb6db101bac5b86c743aab'
-         '543d84162761b9cc9ec319e938c4dd2a')

Added: compile.patch
===================================================================
--- compile.patch	                        (rev 0)
+++ compile.patch	2009-05-11 06:53:44 UTC (rev 39007)
@@ -0,0 +1,40 @@
+diff -Nru openswan-2.4.14.orig/lib/liblwres/Makefile openswan-2.4.14/lib/liblwres/Makefile
+--- openswan-2.4.14.orig/lib/liblwres/Makefile	2007-10-22 14:33:11.000000000 +0000
++++ openswan-2.4.14/lib/liblwres/Makefile	2009-04-08 23:07:06.000000000 +0000
+@@ -17,8 +17,8 @@
+ 
+ CINCLUDES =	-I${srcdir}/unix/include \
+ 		-I. -I./include -I${srcdir}/include 
+-CDEFINES = -g
+-CWARNINGS = -Werror
++CDEFINES =
++CWARNINGS =
+ 
+ CFLAGS+=${CINCLUDES} ${CDEFINES} ${CWARNINGS}
+ 
+diff -Nru openswan-2.4.14.orig/programs/Makefile.program openswan-2.4.14/programs/Makefile.program
+--- openswan-2.4.14.orig/programs/Makefile.program	2007-06-19 14:49:19.000000000 +0000
++++ openswan-2.4.14/programs/Makefile.program	2009-04-08 23:08:31.000000000 +0000
+@@ -34,7 +34,6 @@
+ WERROR:= -Werror
+ endif
+ 
+-CFLAGS+= ${WERROR}
+ 
+ ifneq ($(LD_LIBRARY_PATH),)
+ LDFLAGS=-L$(LD_LIBRARY_PATH)
+diff -Nru openswan-2.4.14.orig/testing/utils/ikeping/Makefile openswan-2.4.14/testing/utils/ikeping/Makefile
+--- openswan-2.4.14.orig/testing/utils/ikeping/Makefile	2004-04-03 19:44:52.000000000 +0000
++++ openswan-2.4.14/testing/utils/ikeping/Makefile	2009-04-08 23:09:18.000000000 +0000
+@@ -27,10 +27,9 @@
+ FREESWANINCLS= -I$(FREESWANLIBDIR) -I${OPENSWANSRCDIR}
+ FREESWANLIB=$(FREESWANLIBDIR)/libfreeswan.a
+ 
+-CFLAGS = -g -Wall -W -Wmissing-prototypes -Wpointer-arith -Wbad-function-cast \
++CFLAGS = -Wall -W -Wmissing-prototypes -Wpointer-arith -Wbad-function-cast \
+ 	-Wcast-qual -Wmissing-declarations -Wwrite-strings 
+ CFLAGS+= -Wstrict-prototypes 
+-CFLAGS+= -Werror
+ #CFLAGS+= -Wundef
+ 
+ HDRDIRS =  $(FREESWANINCLS)




More information about the arch-commits mailing list